

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>d2o.data.db package &mdash; d2o Python Library 1.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
    <link rel="top" title="d2o Python Library 1.0 documentation" href="index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> d2o Python Library
          

          
          </a>

          
            
            
              <div class="version">
                1.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="simple">
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">d2o Python Library</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
      
    <li>d2o.data.db package</li>
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/d2o.data.db.txt" rel="nofollow"> View page source</a>
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="d2o-data-db-package">
<h1>d2o.data.db package<a class="headerlink" href="#d2o-data-db-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="module-d2o.data.db.mssql">
<span id="d2o-data-db-mssql-module"></span><h2>d2o.data.db.mssql module<a class="headerlink" href="#module-d2o.data.db.mssql" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="d2o.data.db.mssql.MSSQL">
<em class="property">class </em><code class="descclassname">d2o.data.db.mssql.</code><code class="descname">MSSQL</code><span class="sig-paren">(</span><em>user</em>, <em>password</em>, <em>host</em>, <em>database=None</em>, <em>driver='FreeTDS'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL" title="Permalink to this definition">¶</a></dt>
<dd><p>Database connection via SQLAlchemy to Microsoft SQL Server</p>
<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.execute">
<code class="descname">execute</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.execute"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.execute" title="Permalink to this definition">¶</a></dt>
<dd><p>Run query on server.
:param query: Query string
:returns:       None</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.execute_raw">
<code class="descname">execute_raw</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.execute_raw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.execute_raw" title="Permalink to this definition">¶</a></dt>
<dd><p>Open up a direct connection to the db via the current engine and run query.
:param query: Query string
:returns:       None</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.is_connected">
<code class="descname">is_connected</code><span class="sig-paren">(</span><em>*args</em>, <em>**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.is_connected"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.is_connected" title="Permalink to this definition">¶</a></dt>
<dd><p>Check if connection is established
:returns:       True if connected, False otherwise</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.pyodbc_connection">
<code class="descname">pyodbc_connection</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.pyodbc_connection"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.pyodbc_connection" title="Permalink to this definition">¶</a></dt>
<dd><p>Create and return a pure (non-sqla) pyodbc connection
:returns:       pyodbc connection</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.select">
<code class="descname">select</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.select"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.select" title="Permalink to this definition">¶</a></dt>
<dd><p>Run SELECT query on server.
:param query: Query string
:returns:       SQLAlchemy result set</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.select_df">
<code class="descname">select_df</code><span class="sig-paren">(</span><em>query</em>, <em>index_col=None</em>, <em>parse_dates=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.select_df"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.select_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Select data, store and return data as a Pandas dataframe.
:param query: Query string
:param index_col: Index column
:param parse_dates: List of columns which contain dates
:returns:       Pandas dataframe</p>
</dd></dl>

<dl class="method">
<dt id="d2o.data.db.mssql.MSSQL.select_raw">
<code class="descname">select_raw</code><span class="sig-paren">(</span><em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#MSSQL.select_raw"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.MSSQL.select_raw" title="Permalink to this definition">¶</a></dt>
<dd><p>Open up a direct connection to the db via the current engine and run SELECT query.
:param query: Query string
:returns:       SQLAlchemy result set</p>
</dd></dl>

</dd></dl>

<dl class="function">
<dt id="d2o.data.db.mssql.valid_ip">
<code class="descclassname">d2o.data.db.mssql.</code><code class="descname">valid_ip</code><span class="sig-paren">(</span><em>s</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/data/db/mssql.html#valid_ip"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.data.db.mssql.valid_ip" title="Permalink to this definition">¶</a></dt>
<dd><p>Simple check to see if the string s is a valid IP</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>s</strong> &#8211; IP, string</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">True if valid, False otherwise</td>
</tr>
</tbody>
</table>
</dd></dl>

</div>
<div class="section" id="module-d2o.data.db">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-d2o.data.db" title="Permalink to this headline">¶</a></h2>
</div>
</div>


           </div>
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Chronos AS.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'1.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>